MainWP Community

MainWP Branding Extension

The Branding Extension (4.0.2) still uses jQuery live() which has been removed long time ago. Because jQuery Migarte has been removed in WordPress 5.5 the Branding Extension causes no errors and subsequent jQuery Scripts fail. Unfortunately the Branding Extension installs /mainwp-branding-extension/js/mainwp-branding.js oon every screen in the backend (wp-admin). Therefore many functions fail. As a workaround i have installed https://wordpress.org/plugins/enable-jquery-migrate-helper/. This should be fixed asap.

1 Like

It’s the same for the MainWP Sucuri Extension:

mainwp-sucuri.js:4 Uncaught TypeError: $(...).live is not a function
    at HTMLDocument.<anonymous> (mainwp-sucuri.js:4)
    at i (load-scripts.php?c=1&load[chunk_0]=jquery-core,utils,zxcvbn-async&ver=5944a2a6067930e0af091aa87edfcd6a:2)
    at Object.fireWith [as resolveWith] (load-scripts.php?c=1&load[chunk_0]=jquery-core,utils,zxcvbn-async&ver=5944a2a6067930e0af091aa87edfcd6a:2)
    at Function.ready (load-scripts.php?c=1&load[chunk_0]=jquery-core,utils,zxcvbn-async&ver=5944a2a6067930e0af091aa87edfcd6a:2)
    at HTMLDocument.J (load-scripts.php?c=1&load[chunk_0]=jquery-core,utils,zxcvbn-async&ver=5944a2a6067930e0af091aa87edfcd6a:2)

and the Advanced Uptime Monitor Extension:

mainwp-aum.js:5 Uncaught TypeError: jQuery(...).live is not a function
    at HTMLDocument.<anonymous> (mainwp-aum.js:5)
    at i (load-scripts.php?c=1&load[chunk_0]=jquery-core,utils,zxcvbn-async&ver=5944a2a6067930e0af091aa87edfcd6a:2)
    at Object.fireWith [as resolveWith] (load-scripts.php?c=1&load[chunk_0]=jquery-core,utils,zxcvbn-async&ver=5944a2a6067930e0af091aa87edfcd6a:2)
    at Function.ready (load-scripts.php?c=1&load[chunk_0]=jquery-core,utils,zxcvbn-async&ver=5944a2a6067930e0af091aa87edfcd6a:2)
    at HTMLDocument.J (load-scripts.php?c=1&load[chunk_0]=jquery-core,utils,zxcvbn-async&ver=5944a2a6067930e0af091aa87edfcd6a:2)

Hey guys, we are working on these and releasing updates as we go.

@mensmaximus, Branding 4.0.2 should not report this problem. Version 4.0.2 actually included fix for it. Can you please make sure you are running the latest version? Please try to hard-refresh your browser and see if that helps. This is the fix we released on 28th August, 2020:

@josklever, Sucuri 4.0.8 should solve this problem, can you verify that the extension is up to date on your setup? AUM extension update is scheduled for this week.

Also, it’s important to say that even there could be a few more extensions that still use live() functionality is not broken.

I still had Sucuri Extension 4.0.4 and an update check didn’t show an update. I had to deactivate and activate it, activate the extensions and after that the update became visible. This is quite an issue, because everything seems updated, the License is valid and still the updates aren’t shown. I’ve had that before as well, but the issue apparently has returned. How can we fix these missing updates?

Sucuri Extension 4.0.8 did fix the .live error.

AUM is still version 5.0.2 couldn’t be updated yet following this procedure. But if you can give the correct code, I can fix it myself until the update is released.

Hi Jos, Regarding the Sucuri update, please see here: Extension Updates

Regarding the AUM extension, please try this version.

Functionality IS actually broken if the error is thrown. For example “select all” checkboxes aren’t working anymore.

I’m already checking the rest of the extensions, and received 2 more updates.

The AUM fix works. Thanks!

Bogdan, you are right. A hard refresh did it. But as Jos reported all extensions need to be checked to not use outdated jquery functions.

Thanks for verifying that. We are working on it and updates will be very soon.

All extensions have been updated and released. There should be no more jQuery version compatibility problems.

1 Like

This topic was automatically closed 24 hours after the last reply. New replies are no longer allowed.